Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	The Ruby standard for packaging ruby libraries
Name:		rubygems
Version:	1.2.0
Release:	1
Provides:	ruby(rubygems) = %{version}
Group:		Development/Ruby
License:	Ruby License/GPL
URL:		http://rubyforge.org/projects/rubygems/
Source0:	http://rubyforge.org/frs/download.php/20989/rubygems-1.2.0.tgz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	ruby(abi) = 1.8
Requires:	ruby-rdoc
# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

BuildRequires:	ruby
BuildRequires:	ruby-rdoc
BuildArch:	noarch

%define		gem_dir		%(ruby -rrbconfig -e 'puts File::expand_path(File::join(Config::CONFIG["sitedir"],"..","gems"))')
%define		ruby_sitelibdir	%(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define		rb_ver		%(ruby -rrbconfig -e 'puts Config::CONFIG["ruby_version"]')
%define		gem_home	%{gem_dir}/%{rb_ver}

%description
RubyGems is the Ruby standard for publishing and managing third party 
libraries.

%prep
%setup -q

# Some of the library files start with #! which rpmlint doesn't like
# and doesn't make much sense
for f in `find $RPM_BUILD_ROOT/%{ruby_sitelibdir} -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done

%build

%install
rm -rf $RPM_BUILD_ROOT
ruby setup.rb --destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc ChangeLog GPL.txt LICENSE.txt README TODO
%_bindir
%_libdir

%changelog
* Mon Sep 22 2008 Christian Wasem <wasem@ccux-linux.de> 1.2.0-1
- Initial release